curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz-perps/balances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"providerId": "hyperliquid",
"providerIds": [
"<string>"
]
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz-perps/balances"
payload = {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"providerId": "hyperliquid",
"providerIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x1234567890abcdef1234567890abcdef12345678',
providerId: 'hyperliquid',
providerIds: ['<string>']
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz-perps/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"providerId": "hyperliquid",
"collateral": {
"symbol": "USDC",
"network": "hyperliquid",
"name": "USD Coin",
"decimals": 6,
"address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"logoURI": "<string>"
},
"accountValue": 1280.44,
"usedMargin": 320.13,
"availableBalance": 960.31,
"unrealizedPnl": 12.8,
"unifiedAccountMode": false
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "yield-xyz-borrow returned a response for GET /v1/positions that does not match the expected schema",
"id": "INTEGRATION_RESPONSE_SCHEMA_DRIFT",
"details": {
"integration": "yield-xyz-borrow",
"endpoint": "GET /v1/positions",
"issues": [
{
"path": "supplyBalances.0.balanceUsd",
"message": "Expected string, received number",
"code": "invalid_type"
}
]
}
}{
"error": "<string>"
}Get account balances
Get a wallet’s trading-account collateral and margin on a venue (accountValue, usedMargin, availableBalance, unrealizedPnl). Accepts a single venue.
This is a proxy to the Yield.xyz Perps POST /v1/balances endpoint. Portal validates the upstream response against the schema documented here before returning it under data. If Yield.xyz changes the response shape, Portal returns a 500 with id: INTEGRATION_RESPONSE_SCHEMA_DRIFT instead of a partial response. Upstream reference: Yield.xyz Perps API.
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
- Option 1
- Option 2
Balances request body. address is required and at least one of providerId or providerIds (a single venue) must be present.
Response
Account balances
Account collateral and margin on a single venue.
Show child attributes
Show child attributes
Was this page helpful?